print/foo2zjs - The NetBSD Packages Collection

Printer driver for Zenographics ZjStream wire protocol

foo2zjs is an open source printer driver for printers that use the Zenographics
ZjStream wire protocol for their print data, such as the  Minolta/QMS magicolor
2300 DL or Konica Minolta magicolor 2430 DL or HP LaserJet 1020 or HP LaserJet
Pro P1102 or HP LaserJet Pro P1102w or HP LaserJet Pro CP1025nw. These printers
are often erroneously referred to as winprinters or GDI printers. However,
Microsoft GDI only mandates the API between an application and the printer
driver, not the protocol on the wire between the printer driver and the printer.
In fact, ZjStream printers are raster printers which happen to use a very
efficient wire protocol which was developed by Zenographics and licensed by
most major printer manufacturers for at least some of their product lines.
ZjStream is just one of many wire protocols that are in use today, such as
Postscript, PCL, Epson, etc.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

print/foomatic-filters-cups textproc/gsed

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hffoo2zjs-20120516nb1.tgz
NetBSD 8.0earmv7hffoo2zjs-20120516nb1.tgz
NetBSD 8.0earmv7hffoo2zjs-20120516nb1.tgz
NetBSD 8.0i386foo2zjs-20120516nb1.tgz
NetBSD 8.0i386foo2zjs-20120516nb1.tgz
NetBSD 8.0i386foo2zjs-20120516nb1.tgz
NetBSD 8.0powerpcfoo2zjs-20120516nb1.tgz
NetBSD 8.0powerpcfoo2zjs-20120516nb1.tgz
NetBSD 8.0powerpcfoo2zjs-20120516nb1.tgz
NetBSD 8.0powerpcfoo2zjs-20120516nb1.tgz
NetBSD 8.0x86_64foo2zjs-20120516nb1.tgz
NetBSD 8.0x86_64foo2zjs-20120516nb1.tgz
NetBSD 8.0x86_64foo2zjs-20120516nb1.tgz
NetBSD 9.0aarch64foo2zjs-20120516nb1.tgz
NetBSD 9.0aarch64foo2zjs-20120516nb1.tgz
NetBSD 9.0aarch64foo2zjs-20120516nb1.tgz
NetBSD 9.0alphafoo2zjs-20120516nb1.tgz
NetBSD 9.0alphafoo2zjs-20120516nb1.tgz
NetBSD 9.0alphafoo2zjs-20120516nb1.tgz
NetBSD 9.0earmv6hffoo2zjs-20120516nb1.tgz
NetBSD 9.0earmv6hffoo2zjs-20120516nb1.tgz
NetBSD 9.0earmv6hffoo2zjs-20120516nb1.tgz
NetBSD 9.0earmv6hffoo2zjs-20120516nb1.tgz
NetBSD 9.0earmv7hffoo2zjs-20120516nb1.tgz
NetBSD 9.0earmv7hffoo2zjs-20120516nb1.tgz
NetBSD 9.0earmv7hffoo2zjs-20120516nb1.tgz
NetBSD 9.0earmv7hffoo2zjs-20120516nb1.tgz
NetBSD 9.0earmv7hffoo2zjs-20120516nb1.tgz
NetBSD 9.0i386foo2zjs-20120516nb1.tgz
NetBSD 9.0i386foo2zjs-20120516nb1.tgz
NetBSD 9.0i386foo2zjs-20120516nb1.tgz
NetBSD 9.0mips64ebfoo2zjs-20120516nb1.tgz
NetBSD 9.0mips64ebfoo2zjs-20120516nb1.tgz
NetBSD 9.0mips64ebfoo2zjs-20120516nb1.tgz
NetBSD 9.0powerpcfoo2zjs-20120516nb1.tgz
NetBSD 9.0powerpcfoo2zjs-20120516nb1.tgz
NetBSD 9.0powerpcfoo2zjs-20120516nb1.tgz
NetBSD 9.0powerpcfoo2zjs-20120516nb1.tgz
NetBSD 9.0sparc64foo2zjs-20120516nb1.tgz
NetBSD 9.0sparc64foo2zjs-20120516nb1.tgz
NetBSD 9.0sparc64foo2zjs-20120516nb1.tgz
NetBSD 9.0sparcfoo2zjs-20120516nb1.tgz
NetBSD 9.0x86_64foo2zjs-20120516nb1.tgz
NetBSD 9.0x86_64foo2zjs-20120516nb1.tgz
NetBSD 9.0x86_64foo2zjs-20120516nb1.tgz
NetBSD 9.0x86_64foo2zjs-20120516nb1.tgz
NetBSD 9.0x86_64foo2zjs-20120516nb1.tgz
NetBSD 9.0x86_64foo2zjs-20120516nb1.tgz
NetBSD 9.0x86_64foo2zjs-20120516nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.